## org.apache.hadoop.mapred.lib
Class DelegatingMapper<K1,V1,K2,V2>

    java.lang.Object
      org.apache.hadoop.mapred.lib.DelegatingMapper<K1,V1,K2,V2>

All Implemented Interfaces:
  Closeable, JobConfigurable, Mapper<K1,V1,K2,V2>

    public class DelegatingMapper<K1,V1,K2,V2>

extends Object
implements Mapper<K1,V1,K2,V2>

An `Mapper` that delegates behaviour of paths to multiple other mappers.

See Also:
  `MultipleInputs.addInputPath(JobConf, Path, Class, Class)`

Constructor Summary
`DelegatingMapper()`

Method Summary
`void` `close()`
`void` `configure(JobConf conf)` Initializes a new instance from a `JobConf`.
`void` `map(K1 key, V1 value, OutputCollector<K2,V2> outputCollector, Reporter reporter)` Maps a single input key/value pair into an intermediate key/value pair.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegatingMapper

    public DelegatingMapper()

Method Detail

### map

    public void map(K1 key,
                    V1 value,
                    OutputCollector<K2,V2> outputCollector,
                    Reporter reporter)
             throws IOException

  Description copied from interface: `Mapper`
  Maps a single input key/value pair into an intermediate key/value pair.

  Output pairs need not be of the same types as input pairs. A given input pair may map to zero or many output pairs. Output pairs are collected with calls to `OutputCollector.collect(Object,Object)`.

  Applications can use the `Reporter` provided to report progress or just indicate that they are alive. In scenarios where the application takes an insignificant amount of time to process individual key/value pairs, this is crucial since the framework might assume that the task has timed-out and kill that task. The other way of avoiding this is to set mapred.task.timeout to a high-enough value (or even zero for no time-outs).

  Specified by:
    `map` in interface `Mapper<K1,V1,K2,V2>`
  Parameters:
    `key` - the input key.
    `value` - the input value.
    `outputCollector` - collects mapped keys and values.
    `reporter` - facility to report progress.
  Throws:
    `IOException`

### configure

    public void configure(JobConf conf)

  Description copied from interface: `JobConfigurable`
  Initializes a new instance from a `JobConf`.

  Specified by:
    `configure` in interface `JobConfigurable`
  Parameters:
    `conf` - the configuration

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Throws:
    `IOException`

Copyright © 2009 The Apache Software Foundation